> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download files for this connector.

> Download files for this connector.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /receiveFile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /receiveFile:
    post:
      tags:
        - receiveFile
      summary: Download files for this connector.
      description: Download files for this connector.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/receiveFile_input'
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/receiveFile_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    receiveFile_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: The workspace id of the connector.
        ConnectorId:
          type: string
          description: The id of the connector. Required.
        PortId:
          description: The id of the port.
          type: string
        File:
          type: string
          description: >-
            The file to be downloaded. When file is not supplied, all files will
            be downloaded based on the connector's settings.
        RemotePath:
          type: string
          description: >-
            The path to override the Remote Path settings in the connector(Only
            used for FTP, SFTP)
    receiveFile_output:
      type: array
      items:
        type: object
        properties:
          MessageId:
            type: string
            description: The message id of the file.
          Subfolder:
            description: The subfolder of the file.
            type: string
          File:
            description: The name of the file.
            type: string
          FileSize:
            type: string
            description: The size of the file.
          ErrorMessage:
            type: string
            description: >-
              When multiple files are transferred over the same connection, this
              will return the error message if an individual file transfer
              failed. If this is empty, the file transfer was successful.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````